package stackjava.com.jooq.test;

import java.sql.*;
import org.jooq.*;
import org.jooq.impl.DSL;

import stackjava.com.jooq.Tables;
import stackjava.com.jooq.tables.records.AuthorRecord;


public class DemoFind {
	  public static void main(String[] args) throws Exception {
	        String user = "root";
	        String password = "admin1234";
	        String url = "jdbc:mysql://localhost:3306/library";
	        try (Connection connection = DriverManager.getConnection(url, user, password)) {
	            DSLContext dslContext = DSL.using(connection, SQLDialect.MYSQL);
	            Result<AuthorRecord> result = dslContext.selectFrom(Tables.AUTHOR)
	            		.where(Tables.AUTHOR.ID.greaterThan(2)).and(Tables.AUTHOR.FIRST_NAME.like("%h%")).fetch();

	            for (AuthorRecord record : result) {
	            	System.out.printf("id: %-5d first name: %-15s last name: %-10s", record.getId(), record.getFirstName(), record.getLastName());
	                System.out.println();
	            }
	        }
	        catch (Exception e) {
	            e.printStackTrace();
	        }
	    }
}
